package breakout;

import java.awt.Color;

public class BColor {

	static ColorLoader cl = new ColorLoader();

	public static Color getDropBaseColor(Drop drop) {
		if( drop instanceof DecPaddleDrop ) return Color.decode(cl.loadColors("DecPaddleDrop"));
		if( drop instanceof IncPaddleDrop ) return Color.decode(cl.loadColors("IncPaddleDrop"));
		if( drop instanceof ExtraBallDrop ) return Color.decode(cl.loadColors("ExtraBallDrop"));
		return Color.decode(cl.loadColors("defaultBaseColor"));
	}

	public static Color getBlockColor(Block block) {
		if( block instanceof MultiBlock ) return  Color.decode(cl.loadColors("MultiBlock"));
		if( block instanceof DecPaddleBlock ) return  Color.decode(cl.loadColors("DecPaddleBlock"));
		if( block instanceof IncPaddleBlock ) return  Color.decode(cl.loadColors("IncPaddleBlock"));
		return Color.decode(cl.loadColors("defaultBlockColor"));
	}

	public static void refresh() {
		cl.load();
	}
}