package breakout;

import java.applet.Applet;
import java.applet.AudioClip;
import java.awt.Panel;
import java.io.File;
import java.io.IOException;
import java.net.MalformedURLException;
import java.util.Iterator;

import org.jdom.Document;
import org.jdom.Element;
import org.jdom.JDOMException;
import org.jdom.input.SAXBuilder;
import org.xml.sax.InputSource;

public class Sound extends Panel{ 
	AudioClip soundHit;

	public void spieleSound(String soundId){
		String sound = "";
		SAXBuilder sxbuild = new SAXBuilder();
		InputSource is = new InputSource("xml/sound.xml");
		Document doc;

		try {
			doc = sxbuild.build(is);
			Element root = doc.getRootElement();
			Iterator<Element> soundListe = root.getChildren("soundTyp").iterator();
			while(soundListe.hasNext()){
				Element soundTyp=  soundListe.next();			
				if(soundId.equals(soundTyp.getAttribute("id").getValue())){
					sound = soundTyp.getChild("name").getValue();
				}
			}			    			    			    		  
		} catch (JDOMException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
		if( "".equals(sound) ) return;
		File f = new File( "sound/" + sound + ".wav" );
		try {
			soundHit = Applet.newAudioClip( f.toURI().toURL() );
			soundHit.play();
		} catch (MalformedURLException e1) {
			e1.printStackTrace();
		} 
	}	
}