<?xml version="1.0" encoding="utf-8"?>
<!-- DWXMLSource="highscore.xml" -->
<!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>
<xsl:template match="/">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<title>Breakout Highscore-Liste</title>
<link rel="stylesheet" type="text/css" href="highscore.css"/>
</head>

<body>

<xsl:apply-templates />

</body>
</html>

</xsl:template>

<xsl:template match="spieler">
 <h1>
   <xsl:apply-templates />
 </h1>
</xsl:template>

<xsl:template match="name">
 <span class="name"><xsl:value-of select="." /> </span>
</xsl:template>

<xsl:template match="punkte">
 <span class="punkte"><xsl:value-of select="." /></span>
</xsl:template>

</xsl:stylesheet>