<?xml version="1.0" encoding="utf-8"?>
<!-- DWXMLSource="highscore.xml" -->
<!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>
<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<title>Breakout Spielfarben</title>
<link rel="stylesheet" type="text/css" href="spielerliste.css"/>
</head>

<body>
<h1>Erfolgreichste Spieler</h1>
<bestsellers-list>
  <xsl:apply-templates select="/spielerliste/spieler/spielername">
    <xsl:sort select="sum(/spielerliste/spielstaende/spielstand[spieler-ref/@ref=current()/@id]/punkte)"/>
    <xsl:sort select="name"/>
  </xsl:apply-templates>
</bestsellers-list>
</body>
</html>
</xsl:template>
<xsl:template match="spielername">
<div class="spieler"> 
  <copy>
    <div class="name"><name><xsl:value-of select="name"/></name></div>
    <div class="punkte"><total_sold>
      <xsl:value-of select="sum(/spielerliste/spielstaende/spielstand[spieler-ref/@ref=current()/@id]/punkte)"/>
    </total_sold></div>
    <div class="clearer"></div>
  </copy>
</div>
</xsl:template>
</xsl:stylesheet> 