package breakout;

import java.awt.Color;

public class BColor {

	public static Color getDropBaseColor(Drop drop) {
		if( drop instanceof DecPaddleDrop ) return Color.YELLOW;
		if( drop instanceof IncPaddleDrop ) return Color.GREEN;
		if( drop instanceof ExtraBallDrop ) return Color.CYAN;
		return Color.ORANGE;
	}

	public static Color getBlockColor(Block block) {
		if( block instanceof MultiBlock ) return  Color.RED;
		if( block instanceof DecPaddleBlock ) return  Color.GREEN;
		if( block instanceof IncPaddleBlock ) return  Color.GREEN;
		return Color.BLUE;
	}

}
