package breakout;

import java.awt.Image;
import java.awt.MediaTracker;
import java.awt.Toolkit;
import java.awt.image.ImageObserver;
import java.net.URL;
import java.util.HashMap;

public class BMedia {
	static ImageObserver io = new MyImageObserver();
	private static HashMap<Class, String> ht = new HashMap<Class, String>();
	private static HashMap<Class, Image> images = new HashMap<Class, Image>();
	private String path = "images/";

	static {
		ht.put(DecPaddleBlock.class, "dec.jpg");
		ht.put(IncPaddleBlock.class, "inc.jpg");
	}


	public BMedia(Spiel spiel) {
		MediaTracker mt = new MediaTracker(spiel);
		Toolkit tk = Toolkit.getDefaultToolkit();
		int id = 0;
		
		for( Class key : ht.keySet() ) {
			URL imageURL = Spiel.class.getResource(path + ht.get( key));
			if (imageURL != null) {
				Image img = tk.getImage(imageURL);
				mt.addImage(img, id);
				++id;
				images.put(key, img);
				System.out.println("Image " + imageURL + " loaded");
			} else {
				System.out.println("Image " + imageURL + " not found");
			}		
		}
		try {
			mt.waitForAll();
		} catch (InterruptedException ex) {
		}
//		tk.prepareImage(img, Block.BLOCK_WIDTH, Block.BLOCK_HEIGHT, io);
	}

	public Image getImage(GameObject b) {
		return images.get( b.getClass());
	}

}
