package breakout;

public class Spieler implements Comparable<Spieler>{
	private int punkte;
	private String name;

	public Spieler(String name, int punkte){
		this.name = name;
		this.punkte = punkte;
	}

	public int compareTo( Spieler argument ) {
		if( punkte > argument.punkte )
			return -1;
		if( punkte < argument.punkte )
			return 1;

		return 0;
	}

	@Override
	public String toString() {
		return name + " (" + punkte + " Punkte)";
	}

	public String getName(){
		return name;
	}

	public int getPunkte(){
		return punkte;
	}

}
